GNU bug report logs - #33041
[PATCH] gnu: icedtea-6: Make javadoc reproducible.

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: Gábor Boskovits <boskovits@HIDDEN>; Keywords: moreinfo patch; dated Sun, 14 Oct 2018 19:08:02 UTC; Maintainer for guix-patches is guix-patches@HIDDEN.
Added tag(s) moreinfo. Request was from Maxim Cournoyer <maxim.cournoyer@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 33041 <at> debbugs.gnu.org:


Received: (at 33041) by debbugs.gnu.org; 14 Jul 2021 13:34:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jul 14 09:34:50 2021
Received: from localhost ([127.0.0.1]:43430 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1m3f2I-0001I5-74
	for submit <at> debbugs.gnu.org; Wed, 14 Jul 2021 09:34:50 -0400
Received: from mail-qk1-f177.google.com ([209.85.222.177]:42844)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1m3f2F-0001Hb-Vf
 for 33041 <at> debbugs.gnu.org; Wed, 14 Jul 2021 09:34:48 -0400
Received: by mail-qk1-f177.google.com with SMTP id e14so1524201qkl.9
 for <33041 <at> debbugs.gnu.org>; Wed, 14 Jul 2021 06:34:47 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version:content-transfer-encoding;
 bh=mSn5SVA+FnGmX7jLw6Cz7Vre/US5Tf2avtsbm8dO+mQ=;
 b=ugWfoyWCXVfCxRZoIcreRMYrhpHgEL+brikw2TvqVbh0gmng0kF4JVbwjb/6VnK/l1
 NeOlmcMzJnKxw+ARoDHHe4fuHUlRITh4m3mSnZ3SL2EU1oKnOugK65rU71u07N62JYBh
 Cwm5m9fcCIeHxlYv5Hcv6hz97z8HBu/Lb6rHR6llv5DTU7n0j2BVevAnxAynmzrd9mgO
 Fio6X1Yov9tuGaeDNeZ3OlCPwO0xVgL2DgULR7G6aC0zWG1NuqR1p4WXRDkrkAnsEOOG
 hfmSSmzEv/baJ9wYsXuNkrEC6GDbd+dtC+u/8YDqXv1+FEdnPqblFVsmcnUXhK3vBIcF
 qvFg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version:content-transfer-encoding;
 bh=mSn5SVA+FnGmX7jLw6Cz7Vre/US5Tf2avtsbm8dO+mQ=;
 b=JKO8Z2LO++q7HqfEtiOJcZP0TCwVuVO2h7CtAJjXKRfnawUnmI8c2AaWKOkwWIiiAX
 6OeixO8anlcNZI/ZsBI4lnxbhl28vjsCzGLlUy7vwD8R9nhUBfa++EA7seZ2po/m5y0x
 RS9WN9WDKVUdiP6O7tjYHYxegapIEHQmzjI6kssMi1VnmUxp8wLZ/LBxYFPMXx9oG58P
 40SnMzWSR6L51V/jtUODhPJm61VhpgtnWMWkkjqOGNn5YtvSyr1bl/6LxKyuyQSKS7qi
 iO+DICHEp0STCrFzhvUbYzHxt4ipTPqsgVaM3QLsV6WBDOdSw01SEm/OODuTWldSL/AO
 EQ/A==
X-Gm-Message-State: AOAM533LSToz/a5gkoKH0aPGXPL1ZP2CO0M2XyvCuALuK96ZCicsirm4
 GinFoMhdrh1DcpuqfEP+apAdLeNAWWqr4QR1
X-Google-Smtp-Source: ABdhPJzN2ICicaYfIPKPZ4IHZNmSIlhoKtJPffy91CSQcpRbbvfCJEBSDS1WjWiRxpHyxmSsOmSlbQ==
X-Received: by 2002:a37:dcc2:: with SMTP id v185mr9950095qki.167.1626269682384; 
 Wed, 14 Jul 2021 06:34:42 -0700 (PDT)
Received: from hurd (dsl-159-138.b2b2c.ca. [66.158.159.138])
 by smtp.gmail.com with ESMTPSA id j27sm1007213qkl.76.2021.07.14.06.34.41
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Wed, 14 Jul 2021 06:34:41 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: Kei Kebreau <kkebreau@HIDDEN>
Subject: Re: bug#33041: [PATCH] gnu: icedtea-6: Make javadoc reproducible.
References: <87h7wiiejl.fsf@HIDDEN>
 <CAE4v=pj9q3=C7+X8DEok6ThX25VBAYnYc+O46-Q2YV43NRVTvQ@HIDDEN>
 <87o8j1xs96.fsf@HIDDEN>
Date: Wed, 14 Jul 2021 09:34:40 -0400
In-Reply-To: <87o8j1xs96.fsf@HIDDEN> (Kei Kebreau's message of "Thu, 10
 Dec 2020 16:31:33 -0500")
Message-ID: <871r81ow7j.fsf_-_@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 33041
Cc: Ricardo Wurmus <rekado@HIDDEN>,
 =?utf-8?Q?G=C3=A1bor?= Boskovits <boskovits@HIDDEN>, 33041 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi,

Kei Kebreau <kkebreau@HIDDEN> writes:

> Hi all,
>
> I came across this bug and had some time to attempt to make the
> suggested changes.  Please find the updated patch attached and let me
> know if it still works as intended.

[...]

> diff --git a/gnu/packages/java.scm b/gnu/packages/java.scm
> index e298fd9537..deaa9e1fcd 100644
> --- a/gnu/packages/java.scm
> +++ b/gnu/packages/java.scm
> @@ -892,7 +892,10 @@ machine.")))
>                                         (string-append part "-src"))
>                              part))
>                           '("jdk" "hotspot" "corba"
> -                           "langtools" "jaxp" "jaxws")))
> +                           "jaxp" "jaxws")))
> +             (with-directory-excursion "openjdk"
> +               (invoke "tar" "xvf" (assoc-ref inputs "langtools-src"))
> +               (rename-file "hg-checkout" "langtools"))
>               (substitute* "patches/freetypeversion.patch"
>                 (("REQUIRED_FREETYPE_VERSION =3D 2.2.1")
>                  "REQUIRED_FREETYPE_VERSION =3D 2.10.1"))
> @@ -1136,7 +1139,9 @@ machine.")))
>                   (changeset "jdk6-b41")))
>             (sha256
>              (base32
> -             "1x52wd67fynbbd9ild6fb4wvba3f5hhwk03qdjfazd0a1qr37z3d"))))
> +             "1x52wd67fynbbd9ild6fb4wvba3f5hhwk03qdjfazd0a1qr37z3d"))
> +           (patches
> +            (search-patches "icedtea-6-javadoc-reproducibility.patch"))))
>         ("jaxp-src"
>          ,(origin
>             (method hg-fetch)
> diff --git a/gnu/packages/patches/icedtea-6-javadoc-reproducibility.patch=
 b/gnu/packages/patches/icedtea-6-javadoc-reproducibility.patch
> new file mode 100644
> index 0000000000..dd472a9c66
> --- /dev/null
> +++ b/gnu/packages/patches/icedtea-6-javadoc-reproducibility.patch
> @@ -0,0 +1,25 @@
> +# HG changeset patch
> +# User G=C3=A1bor Boskovits <boskovits@HIDDEN>
> +# Date 1539456874 -7200
> +#      Sat Oct 13 20:54:34 2018 +0200
> +# Node ID 6e5f716a659247888c104f66c58bf40fb959c8a4
> +# Parent  06656286f572cbf716397b9d983f8dee7d94f913
> +Make javadoc respect SOURCE_DATE_EPOCH.
> +
> +diff -r 06656286f572 src/share/classes/com/sun/tools/doclets/formats/htm=
l/markup/HtmlDocWriter.java
> +--- a/src/share/classes/com/sun/tools/doclets/formats/html/markup/HtmlDo=
cWriter.java	Mon Aug 22 10:53:55 2016 -0700
> ++++ b/src/share/classes/com/sun/tools/doclets/formats/html/markup/HtmlDo=
cWriter.java	Wed Dec 09 21:40:00 2020 -0500
> +@@ -396,6 +396,12 @@
> +      */
> +     public String today() {
> +         Calendar calendar =3D new GregorianCalendar(TimeZone.getDefault=
());
> +-        return calendar.getTime().toString();
> ++        Date date=3Dcalendar.getTime();
> ++        String epoch=3DSystem.getenv("SOURCE_DATE_EPOCH");
> ++        if(epoch !=3D null) {
> ++            long unixtime=3DLong.parseLong(epoch);
> ++            date=3Dnew Date(unixtime*1000L);
> ++	}
> ++	return date.toString();
> +     }
> + }

I tried this patch but it didn't work for me:

--8<---------------cut here---------------start------------->8---
diff -r /gnu/store/394r3dq5q2kmxddwcbh4wwnxmlp0b2rs-icedtea-1.13.13-doc/sha=
re/doc/icedtea/api/org/omg/PortableServer/POAPackage/WrongPolicyHelper.html=
 /gnu/store/394r3dq5q2kmxddwcbh4wwnxmlp0b2rs-icedtea-1.13.13-doc-check/shar=
e/doc/icedtea/api/org/omg/PortableServer/POAPackage/WrongPolicyHelper.html
116c116
<  Wednesday, July 14, 2021 12:30:23 AM GMT</div>
---
>  Wednesday, July 14, 2021 12:14:11 AM GMT</div>
diff -r /gnu/store/394r3dq5q2kmxddwcbh4wwnxmlp0b2rs-icedtea-1.13.13-doc/sha=
re/doc/icedtea/api/org/omg/PortableServer/POAPackage/WrongPolicy.html /gnu/=
store/394r3dq5q2kmxddwcbh4wwnxmlp0b2rs-icedtea-1.13.13-doc-check/share/doc/=
icedtea/api/org/omg/PortableServer/POAPackage/WrongPolicy.html
129c129
<  Wednesday, July 14, 2021 12:30:23 AM GMT</div>
---
>  Wednesday, July 14, 2021 12:14:11 AM GMT</div>
diff -r /gnu/store/394r3dq5q2kmxddwcbh4wwnxmlp0b2rs-icedtea-1.13.13-doc/sha=
re/doc/icedtea/api/org/omg/PortableServer/REQUEST_PROCESSING_POLICY_ID.html=
 /gnu/store/394r3dq5q2kmxddwcbh4wwnxmlp0b2rs-icedtea-1.13.13-doc-check/shar=
e/doc/icedtea/api/org/omg/PortableServer/REQUEST_PROCESSING_POLICY_ID.html
102c102
<  Wednesday, July 14, 2021 12:30:23 AM GMT</div>
---
>  Wednesday, July 14, 2021 12:14:11 AM GMT</div>
diff -r /gnu/store/394r3dq5q2kmxddwcbh4wwnxmlp0b2rs-icedtea-1.13.13-doc/sha=
re/doc/icedtea/api/org/omg/PortableServer/SERVANT_RETENTION_POLICY_ID.html =
/gnu/store/394r3dq5q2kmxddwcbh4wwnxmlp0b2rs-icedtea-1.13.13-doc-check/share=
/doc/icedtea/api/org/omg/PortableServer/SERVANT_RETENTION_POLICY_ID.html
102c102
<  Wednesday, July 14, 2021 12:30:23 AM GMT</div>
---
>  Wednesday, July 14, 2021 12:14:11 AM GMT</div>
diff -r /gnu/store/394r3dq5q2kmxddwcbh4wwnxmlp0b2rs-icedtea-1.13.13-doc/sha=
re/doc/icedtea/api/org/omg/PortableServer/THREAD_POLICY_ID.html /gnu/store/=
394r3dq5q2kmxddwcbh4wwnxmlp0b2rs-icedtea-1.13.13-doc-check/share/doc/icedte=
a/api/org/omg/PortableServer/THREAD_POLICY_ID.html
102c102
<  Wednesday, July 14, 2021 12:30:23 AM GMT</div>
---
>  Wednesday, July 14, 2021 12:14:11 AM GMT</div>
--8<---------------cut here---------------end--------------->8---

Could you retest it to validate it's working as expected?

Thank you,

Maxim





Information forwarded to guix-patches@HIDDEN:
bug#33041; Package guix-patches. Full text available.

Message received at 33041 <at> debbugs.gnu.org:


Received: (at 33041) by debbugs.gnu.org; 10 Dec 2020 21:31:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Dec 10 16:31:53 2020
Received: from localhost ([127.0.0.1]:39484 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1knTXR-0003oF-HM
	for submit <at> debbugs.gnu.org; Thu, 10 Dec 2020 16:31:53 -0500
Received: from mout02.posteo.de ([185.67.36.66]:53793)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <kkebreau@HIDDEN>) id 1knTXL-0003ny-KV
 for 33041 <at> debbugs.gnu.org; Thu, 10 Dec 2020 16:31:48 -0500
Received: from submission (posteo.de [89.146.220.130]) 
 by mout02.posteo.de (Postfix) with ESMTPS id 3E5E92400FC
 for <33041 <at> debbugs.gnu.org>; Thu, 10 Dec 2020 22:31:37 +0100 (CET)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1607635897; bh=YGw/HXPOVcOx0zE3RgfUUtLPwdoyk4PHOEpgfJssE6Q=;
 h=From:To:Cc:Subject:Date:From;
 b=cXqP0IvZRcq6m7pvzM75ao4kpx84HS/CgS6uXU991Xd9xNDM06ECVMpdcVGGqvYPE
 NAhiwfPJzDxpZrPOBLmb5GN7SdN2I1hwnO0rofcWOTib3QPYq0gt8oRRhzO4Eikgzm
 c1kOEkSATDjc1JvFI7aRuBDQILjWL3fjtCBkyqKCnuonfMjb9Ja3aCnOG5qsWXffng
 goy5ymOCaCBPvrHwWpduF4ZyQIEIbt0htqrgzR6Mdz7V4cDIRCkRDnoHh9F6XKm2ZP
 I5Qg2nGVtK/RkiwzEnooqUbRZjGrmSRDbxEaybi05XzxVB9gHsvv8+zAlG4AiT7Ouz
 xgxfjXW6ag8hQ==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4CsRtv3h7Gz6tmL;
 Thu, 10 Dec 2020 22:31:35 +0100 (CET)
From: Kei Kebreau <kkebreau@HIDDEN>
To: =?utf-8?Q?G=C3=A1bor?= Boskovits <boskovits@HIDDEN>
Subject: Re: [bug#33041] [PATCH] gnu: icedtea-6: Make javadoc reproducible.
References: <87h7wiiejl.fsf@HIDDEN>
 <CAE4v=pj9q3=C7+X8DEok6ThX25VBAYnYc+O46-Q2YV43NRVTvQ@HIDDEN>
Date: Thu, 10 Dec 2020 16:31:33 -0500
In-Reply-To: <CAE4v=pj9q3=C7+X8DEok6ThX25VBAYnYc+O46-Q2YV43NRVTvQ@HIDDEN>
 (=?utf-8?Q?=22G=C3=A1bor?= Boskovits"'s message of "Thu, 14 May 2020
 20:22:02 +0200")
Message-ID: <87o8j1xs96.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="==-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 33041
Cc: Ricardo Wurmus <rekado@HIDDEN>, 33041 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

--==-=-=
Content-Type: multipart/mixed; boundary="=-=-="

--=-=-=
Content-Type: text/plain

Hi all,

I came across this bug and had some time to attempt to make the
suggested changes.  Please find the updated patch attached and let me
know if it still works as intended.

Best,
Kei


--=-=-=
Content-Type: text/x-patch; charset=utf-8
Content-Disposition: attachment;
 filename=0001-gnu-icedtea-6-Make-javadoc-reproducible.patch
Content-Transfer-Encoding: quoted-printable

From=20e3bc8635e8730e33c2e4f9658dacb6f2f669d8bb Mon Sep 17 00:00:00 2001
From: =3D?UTF-8?q?G=3DC3=3DA1bor=3D20Boskovits?=3D <boskovits@HIDDEN>
Date: Sun, 14 Oct 2018 21:06:55 +0200
Subject: [PATCH] gnu: icedtea-6: Make javadoc reproducible.

* gnu/packages/patches/icedtea-6-javadoc-reproducibility.patch: New file.
* gnu/packages/java.scm[icedtea-6](native-inputs): Add patch to langtools-s=
rc.
(phases)[unpack]: Adjust unpacking of patched source.
* gnu/local.mk[dist_patch_DATA]: Register it.
=2D--
 gnu/local.mk                                  |  1 +
 gnu/packages/java.scm                         |  9 +++++--
 .../icedtea-6-javadoc-reproducibility.patch   | 25 +++++++++++++++++++
 3 files changed, 33 insertions(+), 2 deletions(-)
 create mode 100644 gnu/packages/patches/icedtea-6-javadoc-reproducibility.=
patch

diff --git a/gnu/local.mk b/gnu/local.mk
index 9284e487fe..9a1b98eb16 100644
=2D-- a/gnu/local.mk
+++ b/gnu/local.mk
@@ -1169,6 +1169,7 @@ dist_patch_DATA =3D						\
   %D%/packages/patches/icecat-use-system-graphite2+harfbuzz.patch	\
   %D%/packages/patches/icecat-use-system-media-libs.patch	\
   %D%/packages/patches/icedtea-6-extend-hotspot-aarch64-support.patch	\
+  %D%/packages/patches/icedtea-6-javadoc-reproducibility.patch	\
   %D%/packages/patches/icedtea-7-hotspot-aarch64-use-c++98.patch	\
   %D%/packages/patches/icu4c-CVE-2020-10531.patch  		\
   %D%/packages/patches/id3lib-CVE-2007-4460.patch			\
diff --git a/gnu/packages/java.scm b/gnu/packages/java.scm
index e298fd9537..deaa9e1fcd 100644
=2D-- a/gnu/packages/java.scm
+++ b/gnu/packages/java.scm
@@ -892,7 +892,10 @@ machine.")))
                                        (string-append part "-src"))
                             part))
                          '("jdk" "hotspot" "corba"
=2D                           "langtools" "jaxp" "jaxws")))
+                           "jaxp" "jaxws")))
+             (with-directory-excursion "openjdk"
+               (invoke "tar" "xvf" (assoc-ref inputs "langtools-src"))
+               (rename-file "hg-checkout" "langtools"))
              (substitute* "patches/freetypeversion.patch"
                (("REQUIRED_FREETYPE_VERSION =3D 2.2.1")
                 "REQUIRED_FREETYPE_VERSION =3D 2.10.1"))
@@ -1136,7 +1139,9 @@ machine.")))
                  (changeset "jdk6-b41")))
            (sha256
             (base32
=2D             "1x52wd67fynbbd9ild6fb4wvba3f5hhwk03qdjfazd0a1qr37z3d"))))
+             "1x52wd67fynbbd9ild6fb4wvba3f5hhwk03qdjfazd0a1qr37z3d"))
+           (patches
+            (search-patches "icedtea-6-javadoc-reproducibility.patch"))))
        ("jaxp-src"
         ,(origin
            (method hg-fetch)
diff --git a/gnu/packages/patches/icedtea-6-javadoc-reproducibility.patch b=
/gnu/packages/patches/icedtea-6-javadoc-reproducibility.patch
new file mode 100644
index 0000000000..dd472a9c66
=2D-- /dev/null
+++ b/gnu/packages/patches/icedtea-6-javadoc-reproducibility.patch
@@ -0,0 +1,25 @@
+# HG changeset patch
+# User G=C3=A1bor Boskovits <boskovits@HIDDEN>
+# Date 1539456874 -7200
+#      Sat Oct 13 20:54:34 2018 +0200
+# Node ID 6e5f716a659247888c104f66c58bf40fb959c8a4
+# Parent  06656286f572cbf716397b9d983f8dee7d94f913
+Make javadoc respect SOURCE_DATE_EPOCH.
+
+diff -r 06656286f572 src/share/classes/com/sun/tools/doclets/formats/html/=
markup/HtmlDocWriter.java
+--- a/src/share/classes/com/sun/tools/doclets/formats/html/markup/HtmlDocW=
riter.java	Mon Aug 22 10:53:55 2016 -0700
++++ b/src/share/classes/com/sun/tools/doclets/formats/html/markup/HtmlDocW=
riter.java	Wed Dec 09 21:40:00 2020 -0500
+@@ -396,6 +396,12 @@
+      */
+     public String today() {
+         Calendar calendar =3D new GregorianCalendar(TimeZone.getDefault()=
);
+-        return calendar.getTime().toString();
++        Date date=3Dcalendar.getTime();
++        String epoch=3DSystem.getenv("SOURCE_DATE_EPOCH");
++        if(epoch !=3D null) {
++            long unixtime=3DLong.parseLong(epoch);
++            date=3Dnew Date(unixtime*1000L);
++	}
++	return date.toString();
+     }
+ }
=2D-=20
2.29.2


--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable



G=C3=A1bor Boskovits <boskovits@HIDDEN> writes:

> Ok, I will look into it.
>
> Ricardo Wurmus <rekado@HIDDEN> ezt =C3=ADrta (id=C5=91pont: 2020. m=
=C3=A1j. 14., Cs=C3=BC 19:59):
>
>  Hi G=C3=A1bor,
>
>  looks like we dropped this issue.  Would you like to rebase it, include
>  Danny=E2=80=99s suggestions, and push it?  I=E2=80=99d very much like to=
 close bug #30927.
>
>  --=20
>  Ricardo

--=-=-=--

--==-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAEBCAAdFiEEg7ZwOtzKO2lLzi2m5qXuPBlGeg0FAl/Sk7UACgkQ5qXuPBlG
eg2qahAAqcafzd2Z8omf/kTKqZiBOAgfxaSKALXmbKpSfF8rRlsc92V0bLidijBn
tuDkmt0wfBAzJABxiC7kiBgZomxvgL2FwJipJTnPXXrkIA/qa/Gf37aNRhWNQVBl
X7bGMc4HEeDvcA7OX8hfICdioEZY1HnADbA6iPymic+dqBLoEFK41WSDA4Yjzc+x
vKvAf5rx2HMZ/liPtihAMb/a0keji3jSPA8kbWgJ0IBqv7nvbb2WOkyL65v7hcBt
H2qpkglZnOqFJaQ8ZZiuFy6rm/4qvGg/Qp7xWKZYuLoB1RQLByJWnyhIolXlNB3l
65n9phOH5LReCUYJqCwe6GK1AQiwSBVS/3pxgldpJ1Ajhy3eXU0E+PhWIbsCCPik
EaY45sfOUxyXCORoPayeNaKkNW+bqixqPdY+jFREW0nlHIzyomiJ2e7yR+Wv8rQy
0cnPTGgZ1tMIvi7HYbRYF+HRATdkFhFKMAGe+kA+A4N7VgLv6zLFO6H1IUB3j8fA
GflwWye8ZjV964Y/kZQ1yZI0pIFl5h7c4LvE/93wpvftlgc8L01HNsWVFLKq/Y2q
PSlak5Kj/dpnrFGTM8e7vIaK2b993vkna5/yxwJSTYiD78VuJKJml/i1TM3q1Tlo
Jk/aa64iUjE7m8Vnk7idiTSbHDdH49zxjp3cWoymyhsDb61T6Yw=
=JWeO
-----END PGP SIGNATURE-----
--==-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#33041; Package guix-patches. Full text available.

Message received at 33041 <at> debbugs.gnu.org:


Received: (at 33041) by debbugs.gnu.org; 14 May 2020 18:22:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu May 14 14:22:22 2020
Received: from localhost ([127.0.0.1]:34769 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jZIUw-000669-Bs
	for submit <at> debbugs.gnu.org; Thu, 14 May 2020 14:22:22 -0400
Received: from mail-ej1-f41.google.com ([209.85.218.41]:44498)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <boskovits@HIDDEN>) id 1jZIUu-00065r-42
 for 33041 <at> debbugs.gnu.org; Thu, 14 May 2020 14:22:20 -0400
Received: by mail-ej1-f41.google.com with SMTP id x20so3591269ejb.11
 for <33041 <at> debbugs.gnu.org>; Thu, 14 May 2020 11:22:20 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=N77XJe2B1ZG+jW8a53wsX6xoY6M0VvSjEApbjmzeYsA=;
 b=oiAADCX6A9ljKCH16XRomge8qhdA0ZI3oGZqg6o3abE9uR2ALr/Lt3lfvMDk4gkTJO
 vOMK/isNKyzrvfBvHkX0/539eHLYoh6q4wIetRyNJgYqbJeuwbiGRKYqGqITynbX+YNr
 JFgfyTaEX2H+wwHx53GlfX5a9lnWtMKlLFlT5OBP3Q5ld64jUpYqg2dALnl55+gyy2vU
 siLpOv9IVW3cXm/hNnAvilyUsqoQSognggcMBvZUbGagYjREQEWNysSz+Ee8soZWf2m/
 UOb+n1zxJ38ATNUryI+3pAmQPCadp1xtPisURsVW+UJNHTJHVnh9TSC+HlE2TXNBYrnN
 H3mw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=N77XJe2B1ZG+jW8a53wsX6xoY6M0VvSjEApbjmzeYsA=;
 b=IPQruW00N++Z6eF3TdKptjAVPwzcJ9U6Q4fe4UQsXb0h1T2cQJ9txEvrnnyQ2Jfq1z
 cgSuPqF9pH6ZSDvjE1cBI4cOVGtBU3R6OkB4y/pZWvXVsuJiF9FhLDE7iyWB2kl+c94b
 F9W950m68ONlHTkjUNpC8goH4T4ASKFG+WtZzkIZsFwIz6fv6unshIllPyKFA4TBlBmE
 DBvJQFVyQAGciKZWGfxpskGssTCi+qZCmWs3yDbuOtXWBgOa45F+0bhwuL7jyGzlo7qS
 qgppmPPJSKru6q+uPQqCYCPDJKmy5mEM8jJcytFU/rKCWmAMq8gzs7PAdrU8/qdbzL6Y
 Iw/w==
X-Gm-Message-State: AOAM533vZPiiObsbd9oB8bTR5ayK0V7C03ds/vPhM+r4oModZojBZFg7
 Hl6wM2brZMr0jRoEPZ9ke+Eb21JX5VFuRegljxUZpBg=
X-Google-Smtp-Source: ABdhPJz65SC4z/9BC+CD8mbjC9BFCkYVHk2PEQGgJHpuDv8K1fDWLSI9ogYRv8oftfA+2QmeEOWh57Lo4Y2DGguUpvM=
X-Received: by 2002:a17:907:7242:: with SMTP id
 ds2mr5380746ejc.297.1589480534069; 
 Thu, 14 May 2020 11:22:14 -0700 (PDT)
MIME-Version: 1.0
References: <87h7wiiejl.fsf@HIDDEN>
In-Reply-To: <87h7wiiejl.fsf@HIDDEN>
From: =?UTF-8?Q?G=C3=A1bor_Boskovits?= <boskovits@HIDDEN>
Date: Thu, 14 May 2020 20:22:02 +0200
Message-ID: <CAE4v=pj9q3=C7+X8DEok6ThX25VBAYnYc+O46-Q2YV43NRVTvQ@HIDDEN>
Subject: Re: [PATCH] gnu: icedtea-6: Make javadoc reproducible.
To: Ricardo Wurmus <rekado@HIDDEN>
Content-Type: multipart/alternative; boundary="0000000000009c579c05a59fc650"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 33041
Cc: 33041 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--0000000000009c579c05a59fc650
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

Ok, I will look into it.

Ricardo Wurmus <rekado@HIDDEN> ezt =C3=ADrta (id=C5=91pont: 2020. m=C3=
=A1j. 14., Cs=C3=BC
19:59):

> Hi G=C3=A1bor,
>
> looks like we dropped this issue.  Would you like to rebase it, include
> Danny=E2=80=99s suggestions, and push it?  I=E2=80=99d very much like to =
close bug #30927.
>
> --
> Ricardo
>

--0000000000009c579c05a59fc650
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"auto">Ok, I will look into it.</div><br><div class=3D"gmail_quo=
te"><div dir=3D"ltr" class=3D"gmail_attr">Ricardo Wurmus &lt;<a href=3D"mai=
lto:rekado@HIDDEN">rekado@HIDDEN</a>&gt; ezt =C3=ADrta (id=C5=91p=
ont: 2020. m=C3=A1j. 14., Cs=C3=BC 19:59):<br></div><blockquote class=3D"gm=
ail_quote" style=3D"margin:0 0 0 .8ex;border-left:1px #ccc solid;padding-le=
ft:1ex">Hi G=C3=A1bor,<br>
<br>
looks like we dropped this issue.=C2=A0 Would you like to rebase it, includ=
e<br>
Danny=E2=80=99s suggestions, and push it?=C2=A0 I=E2=80=99d very much like =
to close bug #30927.<br>
<br>
-- <br>
Ricardo<br>
</blockquote></div>

--0000000000009c579c05a59fc650--




Information forwarded to guix-patches@HIDDEN:
bug#33041; Package guix-patches. Full text available.

Message received at 33041 <at> debbugs.gnu.org:


Received: (at 33041) by debbugs.gnu.org; 14 May 2020 17:59:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu May 14 13:59:02 2020
Received: from localhost ([127.0.0.1]:34750 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jZI8M-0005MC-1P
	for submit <at> debbugs.gnu.org; Thu, 14 May 2020 13:59:02 -0400
Received: from sender4-of-o53.zoho.com ([136.143.188.53]:21324)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rekado@HIDDEN>) id 1jZI8K-0005Ln-Vo
 for 33041 <at> debbugs.gnu.org; Thu, 14 May 2020 13:59:01 -0400
ARC-Seal: i=1; a=rsa-sha256; t=1589479140; cv=none; 
 d=zohomail.com; s=zohoarc; 
 b=ZhoJNEp+BJGu0R7CmIGRqqdUat+waV7zrXSiG2JRNN8Ms8B8qhiQwNUGlGkvvKErc3aiEAJT09JXFzMq7V489KBHsM6GIoF+FETNHQbBnzS8cY/ZDgff+rxHc3hOpG0oGYNnlfkL96bReGDVCnou9vu5awSV03FWU7QJ1WYQo9o=
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=zohomail.com;
 s=zohoarc; t=1589479140;
 h=Content-Type:Content-Transfer-Encoding:Cc:Date:From:MIME-Version:Message-ID:Subject:To;
 bh=qNxBhBBRdL20s0A56jBb12N9l1057NYmSajIBWs1Y6w=; 
 b=Td5lsUd86xs7eI3U92B9JsOdev/dIRzA0+jUgTL79gVf9yempGQv0fHDX5q/gblsRiMtgR+v0P/O5ceShzrBh/8mWGCS2f6AFk/XmRatl7jAqr3HWBb7MrvD4N5m/IbWJncjM+2w6Q4YH2L3UUUegIazYKUM3bJsOXVPrDOo658=
ARC-Authentication-Results: i=1; mx.zohomail.com;
 dkim=pass  header.i=elephly.net;
 spf=pass  smtp.mailfrom=rekado@HIDDEN;
 dmarc=pass header.from=<rekado@HIDDEN> header.from=<rekado@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; t=1589479139; 
 s=zoho; d=elephly.net; i=rekado@HIDDEN;
 h=From:To:Cc:Subject:Date:Message-ID:MIME-Version:Content-Type:Content-Transfer-Encoding;
 bh=qNxBhBBRdL20s0A56jBb12N9l1057NYmSajIBWs1Y6w=;
 b=DKzy0oith88ibLq0UMtK4TyrPQH+NKL90gsrwlmipzMZj4Uab7PwqTlDHbokn6q0
 BFKDQf9tkH7tkYUxP2cqkeNCyvsSaOTguCmCczXvkdFbkA5dXgni7oHaIkFfKRadCRI
 4jG3huCU+N6ZWs4NHmSbrxGte96qB1gTntrTI5oU=
Received: from localhost (p54AD4B14.dip0.t-ipconnect.de [84.173.75.20]) by
 mx.zohomail.com with SMTPS id 1589479137953787.2049300469716;
 Thu, 14 May 2020 10:58:57 -0700 (PDT)
User-agent: mu4e 1.4.4; emacs 26.3
From: Ricardo Wurmus <rekado@HIDDEN>
To: 33041 <at> debbugs.gnu.org
Subject: [PATCH] gnu: icedtea-6: Make javadoc reproducible.
X-URL: https://elephly.net
X-PGP-Key: https://elephly.net/rekado.pubkey
X-PGP-Fingerprint: BCA6 89B6 3655 3801 C3C6  2150 197A 5888 235F ACAC
Date: Thu, 14 May 2020 19:58:54 +0200
Message-ID: <87h7wiiejl.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-ZohoMailClient: External
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 33041
Cc: =?utf-8?Q?G=C3=A1bor?= Boskovits <boskovits@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi G=C3=A1bor,

looks like we dropped this issue.  Would you like to rebase it, include
Danny=E2=80=99s suggestions, and push it?  I=E2=80=99d very much like to cl=
ose bug #30927.

--=20
Ricardo




Information forwarded to guix-patches@HIDDEN:
bug#33041; Package guix-patches. Full text available.

Message received at 33041 <at> debbugs.gnu.org:


Received: (at 33041) by debbugs.gnu.org; 17 Oct 2018 07:58:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 17 03:58:17 2018
Received: from localhost ([127.0.0.1]:54343 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gCgif-00077B-BK
	for submit <at> debbugs.gnu.org; Wed, 17 Oct 2018 03:58:17 -0400
Received: from dd26836.kasserver.com ([85.13.145.193]:56308)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <dannym@HIDDEN>) id 1gCgid-000773-HW
 for 33041 <at> debbugs.gnu.org; Wed, 17 Oct 2018 03:58:16 -0400
Received: from localhost (t193-007.demo.tuwien.ac.at [128.131.193.7])
 by dd26836.kasserver.com (Postfix) with ESMTPSA id 04FAE33602C6;
 Wed, 17 Oct 2018 09:58:13 +0200 (CEST)
Date: Wed, 17 Oct 2018 09:58:11 +0200
From: Danny Milosavljevic <dannym@HIDDEN>
To: =?ISO-8859-1?Q?G=E1bor?= Boskovits <boskovits@HIDDEN>
Subject: Re: [bug#33041] [PATCH] gnu: icedtea-6: Make javadoc reproducible.
Message-ID: <20181017095811.51bdc62e@HIDDEN>
In-Reply-To: <20181014190655.23754-1-boskovits@HIDDEN>
References: <20181014190655.23754-1-boskovits@HIDDEN>
X-Mailer: Claws Mail 3.17.1 (GTK+ 2.24.32; x86_64-unknown-linux-gnu)
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha256;
 boundary="Sig_/b5s6NQnrn6ZOW2tmF8zIeNH"; protocol="application/pgp-signature"
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 33041
Cc: 33041 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

--Sig_/b5s6NQnrn6ZOW2tmF8zIeNH
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

Hi Gabor,

On Sun, 14 Oct 2018 21:06:55 +0200
G=C3=A1bor Boskovits <boskovits@HIDDEN> wrote:

> +diff -r 06656286f572 -r 6e5f716a6592 src/share/classes/com/sun/tools/doc=
lets/formats/html/markup/HtmlDocWriter.java
> +--- a/src/share/classes/com/sun/tools/doclets/formats/html/markup/HtmlDo=
cWriter.java	Mon Aug 22 10:53:55 2016 -0700
> ++++ b/src/share/classes/com/sun/tools/doclets/formats/html/markup/HtmlDo=
cWriter.java	Sat Oct 13 20:54:34 2018 +0200
> +@@ -396,6 +396,13 @@
> +      */
> +     public String today() {
> +         Calendar calendar =3D new GregorianCalendar(TimeZone.getDefault=
());
> +-        return calendar.getTime().toString();
> ++	Date date=3Dcalendar.getTime();
> ++	Map<String,String> env =3D System.getenv();
> ++	if(env.containsKey("SOURCE_DATE_EPOCH")) {
> ++	    String epoch=3Denv.get("SOURCE_DATE_EPOCH");
> ++	    long unixtime=3DLong.parseLong(epoch);
> ++	    date=3Dnew Date(unixtime*1000L);
> ++	}
> ++        return date.toString();
> +     }
> + }

Indentation is off.

Also, why not System.getenv("SOURCE_DATE_EPOCH") and check for null?  Not t=
hat important, though.

Otherwise LGTM!

--Sig_/b5s6NQnrn6ZOW2tmF8zIeNH
Content-Type: application/pgp-signature
Content-Description: OpenPGP digital signature

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCAAdFiEEds7GsXJ0tGXALbPZ5xo1VCwwuqUFAlvG65MACgkQ5xo1VCww
uqXlzQf/WbFKpipNSzy1TNt+Mtn7vJo4fTIqZ5bmpkGjK2IzE28PklIld4KFnHBJ
WHW3Rpj22V2FyekhyVZ++KPhLteYjiF9Gh1pXkHr7+w7SJz3UFNwdbAFWCvesw+s
/a5jyJ9O0+xvhrwOdCce74a35Hj/dD7jpZPHL7MDfB+MSjPADMsM8yjNLgjuXs92
orFjWYT70nyzDqZBX70AOE3AXEFTOlo6mCmxew7J6+Rzt29b3W3N03WQVhXWBV2k
SI8SXzI3Bav4eMPR5Xe9x/djQgRq6VcQSiuU7tLLR6WFKMrPDVFZSOxWIu33XnZX
ihHwvn/U1mF+qQkM2he1q4b6jNHrOA==
=/B1x
-----END PGP SIGNATURE-----

--Sig_/b5s6NQnrn6ZOW2tmF8zIeNH--




Information forwarded to guix-patches@HIDDEN:
bug#33041; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 14 Oct 2018 19:07:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Oct 14 15:07:37 2018
Received: from localhost ([127.0.0.1]:49557 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gBljl-00084V-JA
	for submit <at> debbugs.gnu.org; Sun, 14 Oct 2018 15:07:37 -0400
Received: from eggs.gnu.org ([208.118.235.92]:34619)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <boskovits@HIDDEN>) id 1gBljj-00084I-Kr
 for submit <at> debbugs.gnu.org; Sun, 14 Oct 2018 15:07:36 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <boskovits@HIDDEN>) id 1gBljX-00059q-4o
 for submit <at> debbugs.gnu.org; Sun, 14 Oct 2018 15:07:26 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.0 required=5.0 tests=BAYES_20,FREEMAIL_FROM
 autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:59374)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <boskovits@HIDDEN>) id 1gBljW-00059U-4i
 for submit <at> debbugs.gnu.org; Sun, 14 Oct 2018 15:07:22 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:44213)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <boskovits@HIDDEN>) id 1gBljV-0001Mc-5C
 for guix-patches@HIDDEN; Sun, 14 Oct 2018 15:07:21 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <boskovits@HIDDEN>) id 1gBljQ-00055r-Ro
 for guix-patches@HIDDEN; Sun, 14 Oct 2018 15:07:20 -0400
Received: from mail-wr1-x433.google.com ([2a00:1450:4864:20::433]:34731)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <boskovits@HIDDEN>) id 1gBljO-0004ro-KE
 for guix-patches@HIDDEN; Sun, 14 Oct 2018 15:07:14 -0400
Received: by mail-wr1-x433.google.com with SMTP id l6-v6so18345191wrt.1
 for <guix-patches@HIDDEN>; Sun, 14 Oct 2018 12:07:12 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:date:message-id:mime-version
 :content-transfer-encoding;
 bh=dWb1IJfxtQDdSY3gaTnb4z+Uq2sAdg0axXk+2KgoQCM=;
 b=IV+2ACXBwMaEyFekGU1qDjFQaGuwGyq6FWEhQIrbV8qfDBk725Ma084Q8Wp0VLJIg1
 kKDgrBi/R0P4g9hoGcFpVwOhXPMdSGID+YSjU16iu5bLlyTOgEF3HVRXfjuk29WAPaSr
 AcPniMcXMWuD+hdbFzAUBM4LC1BtL9bx/b89RzXQWiVRKesUEqcDw5jdA3EaCRbGEVS+
 mLhUV2lR+Wouh0BSQ6lYUvvybWudu6dVfefZ2unjMcv24odXGq2utYLSuBClqHgyHEF9
 4lSJjBKcgzhyOVHIFm+TuNo6O+8OUJAB3mKjcpNBRYhsjhce7wIt4nllCOPxHKfd8oaW
 Kv0g==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:mime-version
 :content-transfer-encoding;
 bh=dWb1IJfxtQDdSY3gaTnb4z+Uq2sAdg0axXk+2KgoQCM=;
 b=rhZhu2x8nWxt5b7VW+kY9C8FLClOdbUGu+rKGWmO3ZqJM89TdC68BKa+niMyeoW4Ya
 aT0ejFn1RJbR9FHcF0RretDUBzv53dJ/IxhURpFBY/cXeyXfx66HcjjeLOx6KrqMqzGx
 vK7MChRDibvFArWv2mAfJJet9weUVVZgkbaXLZsyxvPDRTl+7ZC2LhaVZGSkbsuAJamd
 3cttX74WErjz7p0VO020JvyCXCvwJ5puB8/waLvFQuFznLyid/mcUtyml6XmlOxD8i6k
 DCduh83zAzFS1c+xbqmUofQcgHRSj8jrzFCTpNMNdpmja6nfo7Dgmm7F5Dcyyui3KJAx
 GQYg==
X-Gm-Message-State: ABuFfoh5fB9oenzB++rWNUwWY1JLa7Ax9sADXWQ5cIK738OBgq2LAkTF
 S5PGzZZISvnKA67utORMKAH6AIM=
X-Google-Smtp-Source: ACcGV62mzrBE/3P8u8NuJErOe6/Ego5PtHYkQtpkdhm4EFHg4hZtSaFICJMkr6ixe16H/sggEHr2zA==
X-Received: by 2002:a5d:49c4:: with SMTP id
 t4-v6mr11819094wrs.116.1539544030714; 
 Sun, 14 Oct 2018 12:07:10 -0700 (PDT)
Received: from localhost.localdomain (4E5CE63B.dsl.pool.telekom.hu.
 [78.92.230.59])
 by smtp.gmail.com with ESMTPSA id z8-v6sm6222163wrp.63.2018.10.14.12.07.09
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Sun, 14 Oct 2018 12:07:10 -0700 (PDT)
From: =?UTF-8?q?G=C3=A1bor=20Boskovits?= <boskovits@HIDDEN>
To: guix-patches@HIDDEN
Subject: [PATCH] gnu: icedtea-6: Make javadoc reproducible.
Date: Sun, 14 Oct 2018 21:06:55 +0200
Message-Id: <20181014190655.23754-1-boskovits@HIDDEN>
X-Mailer: git-send-email 2.18.0
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.0 (----)
X-Debbugs-Envelope-To: submit
Cc: =?UTF-8?q?G=C3=A1bor=20Boskovits?= <boskovits@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

* gnu/packages/patches/icedtea-6-javadoc-reproducibility.patch: New file.
* gnu/packages/java.scm[icedtea-6](native-inputs): Add patch to langtools-src.
(phases)[unpack]: Adjust unpacking of patched source.
* gnu/local.mk[dist_patch_DATA]: Register it.
---
 gnu/local.mk                                  |  1 +
 gnu/packages/java.scm                         | 10 ++++---
 .../icedtea-6-javadoc-reproducibility.patch   | 26 +++++++++++++++++++
 3 files changed, 34 insertions(+), 3 deletions(-)
 create mode 100644 gnu/packages/patches/icedtea-6-javadoc-reproducibility.patch

diff --git a/gnu/local.mk b/gnu/local.mk
index c3bc35a80..6e332b041 100644
--- a/gnu/local.mk
+++ b/gnu/local.mk
@@ -807,6 +807,7 @@ dist_patch_DATA =						\
   %D%/packages/patches/icecat-use-system-graphite2.patch	\
   %D%/packages/patches/icecat-use-system-harfbuzz.patch		\
   %D%/packages/patches/icedtea-6-hotspot-gcc-segfault-workaround.patch  \
+  %D%/packages/patches/icedtea-6-javadoc-reproducibility.patch	\
   %D%/packages/patches/icedtea-7-hotspot-gcc-segfault-workaround.patch  \
   %D%/packages/patches/id3lib-CVE-2007-4460.patch			\
   %D%/packages/patches/ilmbase-fix-tests.patch			\
diff --git a/gnu/packages/java.scm b/gnu/packages/java.scm
index d2f4c9d05..ab9e3fd3a 100644
--- a/gnu/packages/java.scm
+++ b/gnu/packages/java.scm
@@ -734,10 +734,12 @@ machine.")))
                                        (string-append part "-src"))
                             part))
                          '("jdk" "corba"
-                           "langtools" "jaxp" "jaxws")))
+                           "jaxp" "jaxws")))
              (with-directory-excursion "openjdk"
                (invoke "tar" "xvf" (assoc-ref inputs "hotspot-src"))
-               (rename-file "hg-checkout" "hotspot"))
+               (rename-file "hg-checkout" "hotspot")
+               (invoke "tar" "xvf" (assoc-ref inputs "langtools-src"))
+               (rename-file "hg-checkout" "langtools"))
              (substitute* "Makefile.in"
                (("echo \"ERROR: No up-to-date OpenJDK zip available\"; exit -1;")
                 "echo \"trust me\";")
@@ -976,7 +978,9 @@ machine.")))
                  (changeset "jdk6-b41")))
            (sha256
             (base32
-             "1x52wd67fynbbd9ild6fb4wvba3f5hhwk03qdjfazd0a1qr37z3d"))))
+             "1x52wd67fynbbd9ild6fb4wvba3f5hhwk03qdjfazd0a1qr37z3d"))
+           (patches
+            (search-patches "icedtea-6-javadoc-reproducibility.patch"))))
        ("jaxp-src"
         ,(origin
            (method hg-fetch)
diff --git a/gnu/packages/patches/icedtea-6-javadoc-reproducibility.patch b/gnu/packages/patches/icedtea-6-javadoc-reproducibility.patch
new file mode 100644
index 000000000..d4c8a97f3
--- /dev/null
+++ b/gnu/packages/patches/icedtea-6-javadoc-reproducibility.patch
@@ -0,0 +1,26 @@
+# HG changeset patch
+# User Gábor Boskovits <boskovits@HIDDEN>
+# Date 1539456874 -7200
+#      Sat Oct 13 20:54:34 2018 +0200
+# Node ID 6e5f716a659247888c104f66c58bf40fb959c8a4
+# Parent  06656286f572cbf716397b9d983f8dee7d94f913
+Make javadoc respect SOURCE_DATE_EPOCH.
+
+diff -r 06656286f572 -r 6e5f716a6592 src/share/classes/com/sun/tools/doclets/formats/html/markup/HtmlDocWriter.java
+--- a/src/share/classes/com/sun/tools/doclets/formats/html/markup/HtmlDocWriter.java	Mon Aug 22 10:53:55 2016 -0700
++++ b/src/share/classes/com/sun/tools/doclets/formats/html/markup/HtmlDocWriter.java	Sat Oct 13 20:54:34 2018 +0200
+@@ -396,6 +396,13 @@
+      */
+     public String today() {
+         Calendar calendar = new GregorianCalendar(TimeZone.getDefault());
+-        return calendar.getTime().toString();
++	Date date=calendar.getTime();
++	Map<String,String> env = System.getenv();
++	if(env.containsKey("SOURCE_DATE_EPOCH")) {
++	    String epoch=env.get("SOURCE_DATE_EPOCH");
++	    long unixtime=Long.parseLong(epoch);
++	    date=new Date(unixtime*1000L);
++	}
++        return date.toString();
+     }
+ }
-- 
2.18.0





Acknowledgement sent to Gábor Boskovits <boskovits@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#33041; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 14 Jul 2021 13:45:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.